program fwt0;
{$H+}
{$C+}
{$linklib c}
{$linklib j}

uses mtx09;

procedure fw(s:string; var w:double); cdecl; external;

var
  s: string = 'SiO2';
  w: double;

procedure fwt(var r:mtx; s:string);
begin
  // split string in rows using ;
  // then split each row in column using ',' or ' '
  // create the return matrix r with proper dim and
  // convert each word into double
end;

begin
  fw(s,w);
  writeln(w);

end.
